$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.24-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.24-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'DCB046A568DB86D5F59CE3A82A067D6751A3F7EEA99839C77879E81CA61EA5CE'
  checksumType = 'sha256'
  checksum64 = 'DCB046A568DB86D5F59CE3A82A067D6751A3F7EEA99839C77879E81CA61EA5CE'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.27.24-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
